package com.tencent.mm.plugin.bbom;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.af.q;
import com.tencent.mm.app.WorkerProfile;
import com.tencent.mm.app.x;
import com.tencent.mm.app.y;
import com.tencent.mm.kernel.b.f;
import com.tencent.mm.kernel.b.g;
import com.tencent.mm.kernel.b.h;
import com.tencent.mm.plugin.bbom.a.a;
import com.tencent.mm.plugin.e.e;
import com.tencent.mm.plugin.fav.a.ad;
import com.tencent.mm.plugin.fav.a.v;
import com.tencent.mm.plugin.messenger.foundation.a.p;
import com.tencent.mm.plugin.webview.ui.tools.widget.a$a;
import com.tencent.mm.plugin.welab.a.a.d;
import com.tencent.mm.plugin.welab.c.b;
import com.tencent.mm.pluginsdk.ui.applet.t;
import com.tencent.mm.pluginsdk.ui.e.c;
import com.tencent.mm.sdk.platformtools.ab;

public class PluginBigBallOfMudAsync extends f implements a {
    public String toString() {
        return "plugin-big-ball-of-mud-async";
    }

    public void installed() {
        AppMethodBeat.i(18316);
        alias(a.class);
        AppMethodBeat.o(18316);
    }

    public void dependency() {
        AppMethodBeat.i(18317);
        dependsOn(PluginBigBallOfMud.class);
        dependsOn(com.tencent.mm.plugin.notification.b.a.class);
        AppMethodBeat.o(18317);
    }

    public void configure(g gVar) {
        AppMethodBeat.i(18318);
        if (gVar.SG() && ((h) gVar).mProfileCompat != null) {
            ((com.tencent.mm.plugin.notification.b.a) com.tencent.mm.kernel.g.M(com.tencent.mm.plugin.notification.b.a.class)).setNotification(((WorkerProfile) ((h) gVar).mProfileCompat).getNotification());
        }
        t.a.vlq = new 1(this);
        q.a.a(new 2(this));
        c.a.vrD = new 3(this);
        com.tencent.mm.plugin.webview.ui.tools.widget.f.a.uJi = new 4(this);
        com.tencent.mm.plugin.webview.ui.tools.widget.g.a.uJj = new 5(this);
        com.tencent.mm.plugin.webview.ui.tools.widget.c.a.uJh = new 6(this);
        a$a.uJg = new 7(this);
        com.tencent.mm.kernel.g.a(ad.class, new com.tencent.mm.pluginsdk.model.f());
        com.tencent.mm.kernel.g.a(v.class, new com.tencent.mm.pluginsdk.model.c());
        if (((h) gVar).mProfileCompat != null && gVar.SG()) {
            WorkerProfile workerProfile = (WorkerProfile) ((h) gVar).mProfileCompat;
            y yVar = workerProfile.cfV;
            x xVar = workerProfile.cfW;
            com.tencent.mm.bp.c.vwA = yVar;
            com.tencent.mm.bp.c.vwB = xVar;
            new e(workerProfile).before(this).after(com.tencent.mm.kernel.g.M(p.class));
        }
        if (gVar.SG()) {
            ((p) com.tencent.mm.kernel.g.M(p.class)).setIDataTransferFactoryDelegate(new 8(this));
        }
        AppMethodBeat.o(18318);
    }

    public void execute(g gVar) {
        AppMethodBeat.i(18319);
        if (((h) gVar).mProfileCompat != null && gVar.SG()) {
            ab.i("MicroMsg.PluginBigBallOfMudAsync", "before WorkerProfile oncreate.");
            ((h) gVar).mProfileCompat.onCreate();
        }
        if (gVar.SG()) {
            ((d) com.tencent.mm.kernel.g.K(d.class)).a("labs1de6f3", new b());
            ((d) com.tencent.mm.kernel.g.K(d.class)).a(new com.tencent.mm.plugin.welab.e.a());
            ((d) com.tencent.mm.kernel.g.K(d.class)).a("labs_browse", new com.tencent.mm.plugin.welab.c.a());
        }
        AppMethodBeat.o(18319);
    }
}
